<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
    <OutputType>WinExe</OutputType>
    <TargetFramework>net6.0-windows</TargetFramework>
    <Nullable>enable</Nullable>
    <UseWindowsForms>true</UseWindowsForms>
    <ImplicitUsings>enable</ImplicitUsings>
  </PropertyGroup>

  <ItemGroup>
    <Compile Remove="BusinessLogic\**" />
    <EmbeddedResource Remove="BusinessLogic\**" />
    <None Remove="BusinessLogic\**" />
  </ItemGroup>

  <ItemGroup>
    <None Remove="nlog.config" />
  </ItemGroup>

  <ItemGroup>
    <EmbeddedResource Include="nlog.config">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </EmbeddedResource>
  </ItemGroup>

  <ItemGroup>
    <PackageReference Include="Microsoft.EntityFrameworkCore.Design" Version="7.0.4">
      <PrivateAssets>all</PrivateAssets>
      <IncludeAssets>runtime; build; native; contentfiles; analyzers; buildtransitive</IncludeAssets>
    </PackageReference>
    <PackageReference Include="Microsoft.Extensions.DependencyInjection" Version="7.0.0" />
    <PackageReference Include="NLog.Extensions.Logging" Version="5.2.2" />
    <PackageReference Include="ReportViewerCore.WinForms" Version="15.1.17" />
  </ItemGroup>

  <ItemGroup>
    <ProjectReference Include="..\DressAtelierBusinessLogic\DressAtelierBusinessLogic.csproj" />
    <ProjectReference Include="..\DressAtelierContracts\DressAtelierContracts.csproj" />
    <ProjectReference Include="..\DressAtelierDatabaseImplement\DressAtelierDatabaseImplement.csproj" />
    <ProjectReference Include="..\DressAtelierDataModels\DressAtelierDataModels.csproj" />
    <ProjectReference Include="..\DressAtelierFileImplement\DressAtelierFileImplement.csproj" />
    <ProjectReference Include="..\DressAtelierListImplement\DressAtelierListImplement.csproj" />
  </ItemGroup>

  <ItemGroup>
    <Compile Update="Properties\Resources.Designer.cs">
      <DesignTime>True</DesignTime>
      <AutoGen>True</AutoGen>
      <DependentUpon>Resources.resx</DependentUpon>
    </Compile>
  </ItemGroup>

  <ItemGroup>
    <EmbeddedResource Update="Properties\Resources.resx">
      <Generator>ResXFileCodeGenerator</Generator>
      <LastGenOutput>Resources.Designer.cs</LastGenOutput>
    </EmbeddedResource>
  </ItemGroup>

	<ItemGroup>
		<None Update="ReportOrders.rdlc">
			<CopyToOutputDirectory>Always</CopyToOutputDirectory>
		</None>
	</ItemGroup>

</Project>